Subject: Re: [Patch] cpufreq: replace cpu_logical_map with read_cpuid_mpir

From: Sudeep Holla <[email-masked]>
Date: Thu, 20 Aug 2020 13:37:11 +0100

On Thu, Aug 20, 2020 at 11:09:45AM +0530, Viresh Kumar wrote:
> On 12-08-20, 01:13, Sumit Gupta wrote:
> > Commit eaecca9e7710 ("arm64: Fix __cpu_logical_map undefined issue")
> > fixes the issue with building tegra194 cpufreq driver as module. But
> > the fix might cause problem while supporting physical cpu hotplug[1].
> > 
> > This patch fixes the original problem by avoiding use of cpu_logical_map().
> > Instead calling read_cpuid_mpidr() to get MPIDR on target cpu.
> > 
> > [1] https://lore.kernel.org/linux-arm-kernel/20200724131059.GB6521@bogus/
> > 
> > Reviewed-by: Sudeep Holla <[email-masked]>
> > Signed-off-by: Sumit Gupta <[email-masked]>
> > ---
> >  drivers/cpufreq/tegra194-cpufreq.c | 10 +++++++---
> >  1 file changed, 7 insertions(+), 3 deletions(-)
> 
> Applied. Thanks.

Just to confirm, is this going as a fix ? We want to drop exporting
cpu_logical_map in v5.9 so this needs to go as fix. I missed it earlier,
actually,

Fixes: df320f89359c ("cpufreq: Add Tegra194 cpufreq driver")
is appropriate here so that we can drop export symbol which was part of
Commit eaecca9e7710 ("arm64: Fix __cpu_logical_map undefined issue")
as a workaround to  fix the build.

-- 
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel